GMT-MUSIC-GALAXY(1p)

gmt music galaxy

NAME
gmt music galaxy - Run the full suite of MuSiC tools sequentially.

VERSION
This document describes gmt music galaxy version 0.04 (2013-05-25 at 17:45:02)

SYNOPSIS
gmt music galaxy [--output-dir=?] --bam-list=? --output-bundle=? --roi-file=? --reference-sequence=? --maf-file=? --pathway-file=? [--numeric-clinical-data-file=?] [--categorical-clinical-data-file=?] [--mutation-matrix-file=?] [--permutations=?] [--normal-min-depth=?] [--tumor-min-depth=?] [--min-mapq=?] [--show-skipped] [--genes-to-ignore=?] [--bmr=?] [--max-proximity=?] [--bmr-modifier-file=?] [--numerical-data-test-method=?] [--skip-low-mr-genes] [--max-fdr=?] [--genetic-data-type=?] [--wu-annotation-headers] [--bmr-groups=?] [--separate-truncations] [--merge-concurrent-muts] [--skip-non-coding] [--skip-silent] [--min-mut-genes-per-path=?] [--glm-model-file=?] [--processors=?] [--aa-range=?] [--nuc-range=?] [--reference-build=?] [--show-known-hits] [--glm-clinical-data-file=?] [--use-maf-in-glm] [--omimaa-dir=?] [--cosmic-dir=?] [--verbose] [--clinical-correlation-matrix-file=?]

This tool takes as parameters all the information required to run the individual tools. An example usage is:

 ... music play \
        --bam-list input/bams_to_analyze.txt \
        --numeric-clinical-data-file input/numeric_clinical_data.csv \
        --maf-file input/myMAF.tsv \
        --output-dir play_output_dir \
        --pathway-file input/pathway_db \
        --reference-sequence input/refseq/all_sequences.fa \
        --roi-file input/all_coding_regions.bed \
        --genetic-data-type gene

REQUIRED ARGUMENTS

bam-list  Text
    Tab delimited list of BAM files [sample_name normal_bam tumor_bam]

output-bundle  Text
    Location where Galaxy would like the bundle of Music outputs to be saved

roi-file  Text
    Tab delimited list of ROIs [chr start stop gene_name]

reference-sequence  Text
    Path to reference sequence in FASTA format

maf-file  Text
    List of mutations using TCGA MAF specifications v2.3

pathway-file  Text
    Tab-delimited file of pathway information

OPTIONAL ARGUMENTS

output-dir
    Directory where output files and subdirectories will be written

    Default value '' if not specified

numeric-clinical-data-file  Text
    Table of samples (y) vs. numeric clinical data category (x)

categorical-clinical-data-file  Text
    Table of samples (y) vs. categorical clinical data category (x)

mutation-matrix-file  Text
    Optionally store the sample-vs-gene matrix used during calculations.

permutations  Number
    Number of permutations used to determine P-values

normal-min-depth  Integer
    The minimum read depth to consider a Normal BAM base as covered

tumor-min-depth  Integer
    The minimum read depth to consider a Tumor BAM base as covered

min-mapq  Integer
    The minimum mapping quality of reads to consider towards read depth counts

show-skipped  Boolean
    Report each skipped mutation, not just how many

    Default value 'false' (--noshow-skipped) if not specified

genes-to-ignore  Text
    Comma-delimited list of genes to ignore for background mutation rates

bmr  Number
    Background mutation rate in the targeted regions

max-proximity  Text
    Maximum AA distance between 2 mutations

bmr-modifier-file  Text
    Tab delimited list of values per gene that modify BMR before testing [gene_name bmr_modifier]

numerical-data-test-method  Text
    Either 'cor' for Pearson Correlation or 'wilcox' for the Wilcoxon Rank-Sum Test for numerical clinical data.

    Default value 'cor' if not specified

skip-low-mr-genes  Boolean
    Skip testing genes with MRs lower than the background MR

    Default value 'true' if not specified

max-fdr  Number
    The maximum allowed false discovery rate for a gene to be considered an SMG

    Default value '0.2' if not specified

genetic-data-type  Text
    Data in matrix file must be either "gene" or "variant" type data

wu-annotation-headers  Boolean
    Use this to default to wustl annotation format headers

bmr-groups  Integer
    Number of clusters of samples with comparable BMRs

    Default value '1' if not specified

separate-truncations  Boolean
    Group truncational mutations as a separate category

    Default value 'false' (--noseparate-truncations) if not specified

merge-concurrent-muts  Boolean
    Multiple mutations of a gene in the same sample are treated as 1

    Default value 'false' (--nomerge-concurrent-muts) if not specified

skip-non-coding  Boolean
    Skip non-coding mutations from the provided MAF file

    Default value 'true' if not specified

skip-silent  Boolean
    Skip silent mutations from the provided MAF file

    Default value 'true' if not specified

min-mut-genes-per-path  Integer
    Pathways with fewer mutated genes than this will be ignored

    Default value '1' if not specified

glm-model-file  Text
    File outlining the type of model, response variable, covariants, etc. for the GLM analysis. (See DESCRIPTION).

processors  Integer
    Number of processors to use in SMG (requires 'foreach' and 'doMC' R packages)

    Default value '1' if not specified

aa-range  Integer
    Set how close a 'near' match is when searching for amino acid near hits

    Default value '2' if not specified

nuc-range  Integer
    Set how close a 'near' match is when searching for nucleotide position near hits

    Default value '5' if not specified

reference-build  Text
    Put either "Build36" or "Build37"

    Default value 'Build37' if not specified

show-known-hits  Boolean
    When a finding is novel, show known AA in that gene

    Default value 'true' if not specified

glm-clinical-data-file  Text
    Clinical traits, mutational profiles, other mixed clinical data (See DESCRIPTION).

use-maf-in-glm  Boolean
    Set this flag to use the variant matrix created from the MAF file as variant input to GLM analysis.

    Default value 'false' (--nouse-maf-in-glm) if not specified

omimaa-dir  Path
    omim amino acid mutation database folder

cosmic-dir  Path
    cosmic amino acid mutation database folder

verbose  Boolean
    turn on to display larger working output

    Default value 'true' if not specified

clinical-correlation-matrix-file  Text
    Optionally store the sample-vs-gene matrix used internally during calculations.

DESCRIPTION
This command can be used to run all of the MuSiC analysis tools on a set of data. Please see the individual tools for further description of the parameters.

AUTHORS
 Thomas B. Mooney, M.S.

CREDITS
Please see the credits for genome-music(1).

SEE ALSO
genome-music(1), genome-music-path-scan(1), genome-music-smg(1), genome-music-clinical-correlation(1), genome-music-mutation-relation(1), genome-music-cosmic-omim(1), genome-music-proximity(1), genome-music-pfam(1)